## GimpUnitComboBox

GimpUnitComboBox — A GtkComboBox to select a GimpUnit.

## Functions

GtkWidget * | gimp_unit_combo_box_new ()
GtkWidget * | gimp_unit_combo_box_new_with_model ()
GimpUnit | gimp_unit_combo_box_get_active ()
void | gimp_unit_combo_box_set_active ()

## Style Properties

double | label-scale | Read

## Types and Values

| GimpUnitComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkComboBox
                                ╰── GimpUnitComboBox

## Implemented Interfaces

GimpUnitComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

GimpUnitComboBox selects units stored in a GimpUnitStore. It replaces the deprecated GimpUnitMenu.

## Functions

### gimp_unit_combo_box_new ()

    GtkWidget *
    gimp_unit_combo_box_new (void);

#### Returns

a new GimpUnitComboBox.

### gimp_unit_combo_box_new_with_model ()

    GtkWidget *
    gimp_unit_combo_box_new_with_model (GimpUnitStore *model);

#### Parameters

model | a GimpUnitStore |

#### Returns

a new GimpUnitComboBox.

### gimp_unit_combo_box_get_active ()

    GimpUnit
    gimp_unit_combo_box_get_active (GimpUnitComboBox *combo);

### gimp_unit_combo_box_set_active ()

    void
    gimp_unit_combo_box_set_active (GimpUnitComboBox *combo,
                                    GimpUnit unit);

## Types and Values

### GimpUnitComboBox

    typedef struct _GimpUnitComboBox GimpUnitComboBox;

## Style Property Details

### The `“label-scale”` style property

      “label-scale”              double

The scale for the text cell renderer.

Owner: GimpUnitComboBox

Flags: Read

Allowed values: >= 0

Default value: 1

## See Also

GimpUnit, GimpUnitStore